<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: dom  YAHOO.util.Point   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>dom&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_dom.html">dom</a>
                 &gt; YAHOO.util.Point 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.util.Point</b>
                        <span class="extends">
                           - extends <a href="YAHOO.util.Region.html">YAHOO.util.Region</a>
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        A point is a region that is special in that it represents a single point on 
the grid.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.util.Point</strong>
                                <code>
                                    (
  
                                        
                                                
                                                x

                                                , 
                                                y
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>x
                                                    &lt;Int&gt; 
                                                    </code>
                                                     The X position of the point
                                                </dd>
                                                <dd>
                                                    <code>y
                                                    &lt;Int&gt; 
                                                    </code>
                                                     The Y position of the point
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="x">x</a>
                                        <code>- Int</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The X position of the point, which is also the right, left and index zero (for Dom.getXY symmetry)
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="y">y</a>
                                        <code>- Int</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The Y position of the point, which is also the top, bottom and index one (for Dom.getXY symmetry)
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.util.Region.html">YAHOO.util.Region</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.util.Region.html#0">0</a>,
                                        <a href="YAHOO.util.Region.html#1">1</a>,
                                        <a href="YAHOO.util.Region.html#bottom">bottom</a>,
                                        <a href="YAHOO.util.Region.html#left">left</a>,
                                        <a href="YAHOO.util.Region.html#right">right</a>,
                                        <a href="YAHOO.util.Region.html#top">top</a>
                                </code>
                            </div>
                        </div>


                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.util.Region.html">YAHOO.util.Region</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.util.Region.html#contains">contains</a>,
                                            <a href="YAHOO.util.Region.html#getArea">getArea</a>,
                                            <a href="YAHOO.util.Region.html#intersect">intersect</a>,
                                            <a href="YAHOO.util.Region.html#toString">toString</a>,
                                            <a href="YAHOO.util.Region.html#union">union</a>
                                    </code>
                                </div>
                            </div>






			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class="selected"><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Dom.html">YAHOO.util.Dom</a></li>
                                <li class="selected"><a href="YAHOO.util.Point.html">YAHOO.util.Point</a></li>
                                <li class=""><a href="YAHOO.util.Region.html">YAHOO.util.Region</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Dom.js.html">Dom.js</a></li>
                                <li class=""><a href="Region.js.html">Region.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#x">x</a>
                                        <!--<code>&lt;Int&gt;</code>-->
                                </li>
                                <li><a href="#y">y</a>
                                        <!--<code>&lt;Int&gt;</code>-->
                                </li>
                        </ul>
                    </div>




            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
